ON_RTreeIterator Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_rtree.h>`

## Public Member Functions

| ON_RTreeIterator ()
| ON_RTreeIterator (const class ON_RTree &a_rtree)
| ~ON_RTreeIterator ()
bool | Initialize (const class ON_RTree &a_rtree)
bool | Initialize (const struct ON_RTreeNode *a_node)
const ON_RTreeBranch * | Value () const
bool | First ()
bool | Next ()
bool | Last ()
bool | Prev ()

## Detailed Description

Definition at line 206 of file opennurbs_rtree.h.

## Constructor & Destructor Documentation

ON_RTreeIterator::ON_RTreeIterator | ( |  | ) |

ON_RTreeIterator::ON_RTreeIterator | ( | const class ON_RTree & | a_rtree | ) |

ON_RTreeIterator::~ON_RTreeIterator | ( |  | ) |

## Member Function Documentation

bool ON_RTreeIterator::First | ( |  | ) |

bool ON_RTreeIterator::Initialize | ( | const class ON_RTree & | a_rtree | ) |

bool ON_RTreeIterator::Initialize | ( | const struct ON_RTreeNode * | a_node | ) |

bool ON_RTreeIterator::Last | ( |  | ) |

bool ON_RTreeIterator::Next | ( |  | ) |

bool ON_RTreeIterator::Prev | ( |  | ) |

const ON_RTreeBranch* ON_RTreeIterator::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_rtree.h